<?xml version="1.0" encoding="UTF-8"?>
<?eclipse version="3.4"?>
<plugin>

   <extension
         id="application"
         point="org.eclipse.core.runtime.applications">
      <application>
         <run
               class="edu.fichte.pbi.ide.Application">
         </run>
      </application>
   </extension>
   <extension
         point="org.eclipse.ui.perspectives">
      <perspective
            class="edu.fichte.pbi.ide.Perspective"
            id="edu.fichte.pbi.ide.perspective"
            name="PBI Perspective">
      </perspective>
   </extension>
   <extension
         id="product"
         point="org.eclipse.core.runtime.products">
      <product
            application="edu.fichte.pbi.ide.application"
            name="PBI-IDE">
         <property
               name="windowImages"
               value="icons/16x16.gif,icons/32x32.gif,icons/48x48.gif,icons/64x64.gif,icons/128x128.gif">
         </property>
         <property
               name="appName"
               value="PBI-IDE">
         </property>
      </product>
   </extension>
   <extension
         point="org.eclipse.ui.editors">
      <editor
            class="edu.fichte.pbi.ide.editors.PBIEditor"
            default="false"
            extensions="bs1"
            id="edu.fichte.pbi.ide.editor2"
            name="PBI Editor">
      </editor>
      <editor
            default="false"
            id="edu.fichte.pbi.ide.cfgeditor"
            name="Config Editor">
      </editor>
   </extension>
   <extension
         point="org.eclipse.ui.views">
      <category
            id="edu.fichte.pbi.ide"
            name="PBI">
      </category>
      <view
            category="edu.fichte.pbi.ide"
            class="edu.fichte.pbi.ide.views.FileExplorer"
            icon="icons/sample.gif"
            id="edu.fichte.pbi.ide.views.FileExplorer"
            name="File Explorer">
      </view>
      <view
            class="edu.fichte.pbi.ide.views.ConsoleView"
            icon="icons/console.gif"
            id="edu.fichte.pbi.ide.consoleView"
            name="Debug"
            restorable="true">
      </view>
      <view
            class="edu.fichte.pbi.ide.views.EEPROMView"
            icon="icons/eeprom.gif"
            id="edu.fichte.pbi.ide.eepromView"
            name="EEPROM"
            restorable="true">
      </view>
      <view
            class="edu.fichte.pbi.ide.views.HelpView"
            icon="icons/welcome.gif"
            id="edu.fichte.pbi.ide.browser"
            name="Welcome!"
            restorable="true">
      </view>
      <view
            class="edu.fichte.pbi.ide.views.DebugView"
            icon="icons/hardware.gif"
            id="edu.fichte.pbi.ide.debugView"
            name="Hardware"
            restorable="true">
      </view>
      <view
            class="edu.fichte.pbi.ide.views.VariableView"
            icon="icons/status_black.gif"
            id="edu.fichte.pbi.ide.variableView"
            name="Variables"
            restorable="true">
      </view>
   </extension>
   <extension
         point="org.eclipse.help.contexts">
      <contexts
            file="contexts.xml">
      </contexts>
   </extension>
   <extension
         point="org.eclipse.ui.editors">
      <editor
            class="edu.fichte.pbi.ide.editors.PBIEditor"
            default="false"
            icon="icons/bs1.gif"
            id="edu.fichte.pbi.ide.pbieditor"
            name="PBI Editor">
      </editor>
      <editor
            class="edu.fichte.pbi.ide.editors.ConfigEditor"
            default="false"
            icon="icons/config.gif"
            id="edu.fichte.pbi.ide.cfgeditor"
            name="Config Editor">
      </editor>
   </extension>
   <extension
         point="org.eclipse.ui.commands">
      <command
            defaultHandler="edu.fichte.pbi.ide.commands.IntentCommandHandler"
            description="Indents the text in the given Editor"
            id="edu.fichte.pbi.ide.intent"
            name="Indent">
      </command>
      <command
            defaultHandler="edu.fichte.pbi.ide.commands.CommentCommandHandler"
            id="edu.fichte.pbi.ide.comment"
            name="Comment">
      </command>
      <command
            defaultHandler="edu.fichte.pbi.ide.commands.MonitoredRunCommandHandler"
            description="Runs the application and shows a mem-monitor"
            id="edu.fichte.pbi.ide.mr"
            name="Monitored Run">
      </command>
      <command
            defaultHandler="edu.fichte.pbi.ide.commands.RunCommandHandler"
            description="Runs the application"
            id="edu.fichte.pbi.ide.run"
            name="Run">
      </command>
      <command
            defaultHandler="edu.fichte.pbi.ide.commands.UncommentCommandHandler"
            id="edu.fichte.pbi.ide.uncomment"
            name="Uncomment">
      </command>
      <command
            defaultHandler="edu.fichte.pbi.ide.commands.HelpCommandHandler"
            id="edu.fichte.pbi.ide.help"
            name="Help">
      </command>
      <command
            defaultHandler="edu.fichte.pbi.ide.commands.NewFileCommandHandler"
            description="Create new file"
            id="edu.fichte.pbi.ide.newfile"
            name="New">
      </command>
      <command
            defaultHandler="edu.fichte.pbi.ide.commands.ContentAssistCommandHandler"
            id="edu.fichte.pbi.ide.cassist"
            name="Content assist">
      </command>
      <command
            defaultHandler="edu.fichte.pbi.ide.commands.SettingsCommandHandler"
            id="edu.fichte.pbi.ide.settings"
            name="Settings">
      </command>
      <command
            defaultHandler="edu.fichte.pbi.ide.commands.CASettingsCommandHandler"
            id="edu.fichte.pbi.ide.casettings"
            name="CASettings">
      </command>
      <command
            defaultHandler="edu.fichte.pbi.ide.commands.OpenCommandHandler"
            id="edu.fichte.pbi.ide.open"
            name="Open">
      </command>
      <command
            defaultHandler="edu.fichte.pbi.ide.commands.DebugSchemeCommandHandler"
            id="edu.fichte.pbi.ide.ccolor"
            name="Change Debug Scheme">
      </command>
   </extension>
   <extension
         point="org.eclipse.ui.menus">
      <menuContribution
            allPopups="false"
            locationURI="menu:org.eclipse.ui.main.menu">
         <menu
               label="File">
            <command
                  commandId="edu.fichte.pbi.ide.newfile"
                  disabledIcon="icons/sample.gif"
                  icon="icons/sample.gif"
                  label="New"
                  style="push">
            </command>
            <command
                  commandId="edu.fichte.pbi.ide.open"
                  disabledIcon="icons/sample.gif"
                  icon="icons/sample.gif"
                  label="Open"
                  style="push">
            </command>
            <command
                  commandId="org.eclipse.ui.file.save"
                  icon="icons/bs1.gif"
                  label="Save"
                  style="push">
            </command>
            <command
                  commandId="org.eclipse.ui.file.saveAs"
                  icon="icons/bs1.gif"
                  label="Save As"
                  style="push">
            </command>
            <command
                  commandId="org.eclipse.ui.file.saveAll"
                  icon="icons/bs1.gif"
                  label="Save All"
                  style="push">
            </command>
         </menu>
         <menu
               label="Options">
            <command
                  commandId="edu.fichte.pbi.ide.run"
                  icon="icons/run.gif"
                  label="Run"
                  style="push">
            </command>
            <command
                  commandId="edu.fichte.pbi.ide.mr"
                  icon="icons/monitored.gif"
                  label="Monitored Run"
                  style="push">
            </command>
            <command
                  commandId="edu.fichte.pbi.ide.intent"
                  icon="icons/intent.gif"
                  label="Indent (auto-correct)"
                  style="push">
            </command>
            <command
                  commandId="edu.fichte.pbi.ide.comment"
                  icon="icons/comment.gif"
                  label="Comment"
                  style="push">
            </command>
            <command
                  commandId="edu.fichte.pbi.ide.uncomment"
                  icon="icons/uncomment.gif"
                  label="Uncomment"
                  style="push">
            </command>
            <command
                  commandId="edu.fichte.pbi.ide.cassist"
                  icon="icons/ca.gif"
                  label="Content Assist"
                  style="push">
            </command>
            <command
                  commandId="edu.fichte.pbi.ide.settings"
                  icon="icons/config.gif"
                  label="Run Configuration"
                  style="push">
            </command>
            <command
                  commandId="edu.fichte.pbi.ide.casettings"
                  icon="icons/config.gif"
                  label="Content Assist Configuration"
                  style="push">
            </command>
            <command
                  commandId="edu.fichte.pbi.ide.ccolor"
                  icon="icons/config.gif"
                  label="Change Debug Scheme"
                  style="push">
            </command>
            <command
                  commandId="edu.fichte.pbi.ide.help"
                  icon="icons/welcome.gif"
                  label="Help"
                  style="push">
            </command>
         </menu>
      </menuContribution>
   </extension>
   
   <!-- shortcut -->
   <extension
         point="org.eclipse.ui.bindings">
	 <scheme
        description="Shortcuts"
        id="pbibindingscheme"
        name="PBI Key Bindings"/>
	 <key
	  sequence="CTRL+R"
	  commandId="edu.fichte.pbi.ide.run"
	  schemeId="pbibindingscheme" />
	 <!--   <key
    commandId="org.eclipse.ui.file.refresh"
    sequence="F5"
    schemeId="pbibindingscheme"
    contextId="org.eclipse.ui.contexts.window"  
    /> -->
	  <key
        commandId="edu.fichte.pbi.ide.comment"
        schemeId="pbibindingscheme"
        sequence="CTRL+SHIFT+C">
  </key>
  <key
        commandId="edu.fichte.pbi.ide.mr"
        schemeId="pbibindingscheme"
        sequence="CTRL+M">
  </key>
  <key
        commandId="edu.fichte.pbi.ide.intent"
        schemeId="pbibindingscheme"
        sequence="CTRL+F">
  </key>
  <key
        commandId="edu.fichte.pbi.ide.uncomment"
        schemeId="pbibindingscheme"
        sequence="CTRL+SHIFT+U">
  </key>
  <key
        commandId="edu.fichte.pbi.ide.cassist"
        schemeId="pbibindingscheme"
        sequence="CTRL+SPACE">
  </key>
  <key
        commandId="edu.fichte.pbi.ide.newfile"
        schemeId="pbibindingscheme"
        sequence="CTRL+N">
  </key>
  <key
        commandId="org.eclipse.ui.file.refresh"
        contextId="org.eclipse.ui.contexts.window"
        schemeId="pbibindingscheme"
        sequence="F5">
  </key>
  <key
        commandId="org.eclipse.ui.file.save"
        contextId="org.eclipse.ui.contexts.window"
        schemeId="pbibindingscheme"
        sequence="CTRL+S">
  </key>
  <key
        commandId="org.eclipse.ui.file.saveAll"
        contextId="org.eclipse.ui.contexts.window"
        schemeId="pbibindingscheme"
        sequence="CTRL+SHIFT+S">
  </key>
  <key
        commandId="org.eclipse.ui.file.saveAs"
        contextId="org.eclipse.ui.contexts.window"
        schemeId="pbibindingscheme"
        sequence="CTRL+ALT+S">
  </key>
  <key
        commandId="edu.fichte.pbi.ide.open"
        contextId="org.eclipse.ui.contexts.window"
        schemeId="pbibindingscheme"
        sequence="CTRL+O">
  </key>
   </extension>
   <extension
         point="org.eclipse.ui.activities">
      <activity
            id="edu.fichte.pbi.ide.activity1"
            name="disabledactivity">
      </activity>
      <activityPatternBinding
            activityId="edu.fichte.pbi.ide.activity1"
            pattern="org\.eclipse\.ui\..*/.*">
      </activityPatternBinding>
   </extension>
   
   <!-- welcome page -->
<!--
   <extension  
         point="org.eclipse.ui.intro">
      <intro
            class="org.eclipse.ui.intro.config.CustomizableIntroPart"
            id="myintro"
            icon="someIcon.png">
      </intro>
      <introProductBinding
            introId="myintro"
            productId="edu.fichte.pbi.ide.product">
      </introProductBinding>
   </extension>
	<extension   
         id="intro"
         point="org.eclipse.ui.intro.config">
      <config
            introId="edu.fichte.pbi.ide.myintro"
            id="edu.fichte.pbi.ide.introConfig"
            content="intro/introcontent.xml">
         <presentation
               home-page-id="root"
               standby-page-id="standby">
            <implementation kind="html" />
         </presentation>
      </config>
   </extension>  
-->
</plugin>
